summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorConrad Kostecki <conrad@kostecki.com>2018-10-07 17:41:14 +0200
committerPatrice Clement <monsieurp@gentoo.org>2019-03-10 23:35:38 +0100
commit36c6375061f75af7f4186861dc64c2fa13555427 (patch)
tree788dd7f1358a7c42d013f089033ec5576aa67d19 /media-plugins
parentapp-misc/glcdprocdriver: bump to version 0.1.2. (diff)
downloadgentoo-36c6375061f75af7f4186861dc64c2fa13555427.tar.gz
gentoo-36c6375061f75af7f4186861dc64c2fa13555427.tar.bz2
gentoo-36c6375061f75af7f4186861dc64c2fa13555427.zip
media-plugins/vdr-graphlcd: bump to version 1.0.0.
Closes: https://bugs.gentoo.org/438124 Closes: https://bugs.gentoo.org/586154 Closes: https://bugs.gentoo.org/646176 Closes: https://bugs.gentoo.org/667970 Signed-off-by: Conrad Kostecki <conrad@kostecki.com> Package-Manager: Portage-2.3.50, Repoman-2.3.11 RepoMan-Options: --force Closes: https://github.com/gentoo/gentoo/pull/10098 Signed-off-by: Patrice Clement <monsieurp@gentoo.org>
Diffstat (limited to 'media-plugins')
-rw-r--r--media-plugins/vdr-graphlcd/Manifest1
-rw-r--r--media-plugins/vdr-graphlcd/vdr-graphlcd-1.0.0.ebuild94
2 files changed, 95 insertions, 0 deletions
diff --git a/media-plugins/vdr-graphlcd/Manifest b/media-plugins/vdr-graphlcd/Manifest
index f921afd0902..8e778975844 100644
--- a/media-plugins/vdr-graphlcd/Manifest
+++ b/media-plugins/vdr-graphlcd/Manifest
@@ -1 +1,2 @@
DIST vdr-graphlcd-0.1.9.tgz 286572 BLAKE2B 251b7fce4149c01c9a3a1e64a88b8236e7ca0e041be25edf628df7754a3eb094a61582f9c3746ff28729c6e53cd784ee8b6b02169660ce9119239aac624e9b46 SHA512 46c78fe0c7bc7d67d757323a6a937e9feedcdb3e3f233227024dd84f0cb84ce8f08becd3b4ae9c0b7edfba40804a29fa0e3efc8e74eceb82812f288b8e40c6cd
+DIST vdr-plugin-graphlcd-1.0.0.tar.bz2 888495 BLAKE2B 0557e0750cfa6baf16b2ca5d6e5b69b206d493717e9337fb84403b171b1a4a558fbbc77e32e2f00c1cc0aaadb1390f807e3cd578725aa2ad6786d037c4bb3251 SHA512 05994707b8e8a5640db3c9d4ea991d81b92d6d3e88de98ffc8a4bdac3b885fed2780958babbfec0967209aa15043a3799f08de0d3005ec6eeabf130de7879822
diff --git a/media-plugins/vdr-graphlcd/vdr-graphlcd-1.0.0.ebuild b/media-plugins/vdr-graphlcd/vdr-graphlcd-1.0.0.ebuild
new file mode 100644
index 00000000000..8364adc443f
--- /dev/null
+++ b/media-plugins/vdr-graphlcd/vdr-graphlcd-1.0.0.ebuild
@@ -0,0 +1,94 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_PN="vdr-plugin-graphlcd"
+MY_P="${MY_PN}-${PV}"
+
+inherit vdr-plugin-2
+
+DESCRIPTION="VDR Plugin: support output on Graphical LCD"
+HOMEPAGE="https://projects.vdr-developer.org/projects/graphlcd"
+SRC_URI="https://projects.vdr-developer.org/git/${MY_PN}.git/snapshot/${MY_P}.tar.bz2"
+
+KEYWORDS="~amd64 ~x86"
+LICENSE="GPL-2"
+SLOT="0"
+
+DEPEND=">=media-video/vdr-1.6
+ >=app-misc/graphlcd-base-${PV}"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${MY_P}"
+
+pkg_setup() {
+ vdr-plugin-2_pkg_setup
+
+ if ! getent group lp | grep -q vdr; then
+ einfo
+ einfo "Add user 'vdr' to group 'lp' for full user access to parport device"
+ elog
+ elog "User vdr added to group lp"
+ gpasswd -a vdr lp || die
+ fi
+ if ! getent group usb | grep -q vdr; then
+ einfo
+ einfo "Add user 'vdr' to group 'usb' for full user access to usb device"
+ elog
+ elog "User vdr added to group usb"
+ gpasswd -a vdr usb || die
+ fi
+}
+
+src_prepare() {
+ vdr-plugin-2_src_prepare
+
+ sed -i "s:/usr/local:/usr:" Makefile || die
+ sed -i "s:i18n.c:i18n.h:g" Makefile || die
+ sed -i "s:include \$(VDRDIR)/Make.global:-include \$(VDRDIR)/Make.global:" Makefile || die
+}
+
+src_install() {
+ vdr-plugin-2_src_install
+
+ insopts -m0644 -ovdr -gvdr
+
+ insinto /usr/share/vdr/${VDRPLUGIN}/logos
+ doins -r ${VDRPLUGIN}/logos/*
+
+ insinto /usr/share/vdr/${VDRPLUGIN}/fonts
+ doins ${VDRPLUGIN}/fonts/*.fnt
+
+ for font in /usr/share/fonts/corefonts/*.ttf; do
+ elog ${font}
+ dosym ${font} ../../usr/share/vdr/graphlcd/fonts
+ done
+
+ insinto /etc/vdr/plugins/${VDRPLUGIN}
+ doins ${VDRPLUGIN}/channels.alias
+
+ dosym /usr/share/vdr/${VDRPLUGIN}/fonts ../../../../etc/vdr/plugins/${VDRPLUGIN}/fonts
+ dosym /usr/share/vdr/${VDRPLUGIN}/logos ../../../..//etc/vdr/plugins/${VDRPLUGIN}/logos
+ dosym /etc/graphlcd.conf ../etc/vdr/plugins/${VDRPLUGIN}/graphlcd.conf
+
+ dosym /etc/vdr/plugins/${VDRPLUGIN}/logonames.alias.1.3 ../../../../etc/vdr/plugins/${VDRPLUGIN}/logonames.alias
+}
+
+pkg_preinst() {
+ if [[ -e /etc/vdr/plugins/graphlcd/fonts ]] && [[ ! -L /etc/vdr/plugins/graphlcd/fonts ]] \
+ || [[ -e /etc/vdr/plugins/graphlcd/logos ]] && [[ ! -L /etc/vdr/plugins/graphlcd/logos ]] ; then
+ elog "Remove wrong DIR in /etc/vdr/plugins/graphlcd from prior install"
+ rm -R /etc/vdrplugins/graphlcd/{fonts,logos} || die
+ fi
+}
+
+pkg_postinst() {
+ vdr-plugin-2_pkg_postinst
+
+ elog "Add additional options in /etc/conf.d/vdr.graphlcd"
+ elog
+ elog "Please copy or link one of the supplied fonts.conf.*"
+ elog "files in /etc/vdr/plugins/graphlcd/ to"
+ elog "/etc/vdr/plugins/graphlcd/fonts.conf"
+}